Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84554 - should not require trademarked file
Summary: should not require trademarked file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xmms
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-18 19:33 UTC by Peter Bowen
Modified: 2014-03-17 02:34 UTC (History)
2 users (show)

Fixed In Version: 1.2.8-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-09 03:52:56 UTC


Attachments (Terms of Use)

Description Peter Bowen 2003-02-18 19:33:02 UTC
xmms requires /usr/share/xmms/Skins/Bluecurve-xmms.zip, as that is its default
skin.  This is all fine and good, except Bluecurve is a trademark of Red Hat and
Red Hat trademark guidelines do not allow distribution of the Bluecurve themes
if they are called "Bluecurve".  Therefore, xmms must be recompiled if the theme
changes name.  It would be much better if xmms could require
/usr/share/xmms/Skins/default which would be provided by redhat-artwork as
symlink to Bluecurve-xmms.zip, or to do something similar.

Comment 1 Bill Nottingham 2003-02-18 19:46:32 UTC
Havoc, opinions?

Comment 2 Havoc Pennington 2003-02-18 19:58:01 UTC
I'd say the basic problem is that xmms has its default theme hardcoded in the 
binary instead of in a configuration file or schemas file. That's what I'd tend
to fix. symlink hacks might break stuff, aside from aesthetic issues.

Comment 3 Bill Nottingham 2003-02-18 20:29:19 UTC
Well, we can take out the literal Requirement:; xmms will just throw up an error
on startup and use the default skin if redhat-artwork isn't installed.

Comment 4 Bill Nottingham 2003-09-09 03:52:56 UTC
Fixed in 1.2.8-1.


Note You need to log in before you can comment on or make changes to this bug.